-- title:   A TIC-80 Game
-- author:  pixelbath
-- desc:    short description
-- site:    website link
-- license: MIT License (change this to your license of choice)
-- version: 0.1
-- script:  lua

#include "pre-testinclude.lua"

local t=0

-- oh hey I gots a var

-- you also shouldn't see this comment
local var = 3

var_bigger = var + 3
var +=1
var += 2
var+=3

var-=22203948


function just_a_function(inputstring)
    return "just_a_function was called"
end

just_a_function("foooooo")
included_function()


#define FOO "foo"
#define BAR 23

#define FUNCTION_SHIT function shit() return "shit" end

function nothing_here()
    return nil
end

local test_definestring = FOO + "bar"
local test_defineint = 12 + BAR

FUNCTION_SHIT

